include mixins

+navbar
.py-5.section-parallax(style='background-image: url("assets/img/uno.jpg");')
    .d-flex.flex-column.align-items-center
        h3(style="color:#a1290e;") Validación del lab 7 del curso de DAWA

        .container
            .row
                .p-5.col-lg-6
                    h1(style="color:white;") LISTAR USUARIOS
                    h3.mb-3(style="color:white;")
                        | Presione el botón para actualizar lista de usuarios.
                    form(action='/usuario' method='get')

                        button.btn.btn-primary(type='submit') Submit

        //- .d-flex.flex-wrap.align-items-center(style='width: 33%;')

        - if (typeof(usuarios) !== 'undefined'){
            for usuario in usuarios
                //p #{usuario.id} : #{usuario.nombre} , #{usuario.email}

                //- .d-flex.justify-content-center
                //-     .card(style='width: 18rem;')

                //-         .card-body
                //-             h5.card-title #{usuario.nombre}
                //-             p.card-text
                //-                 | #{usuario.email} 
                //-                 | #{usuario.id}

                .py-2 
                    .list-group-item.list-group-item-action.flex-column.align-items-start.active
                        .d-flex.w-100.justify-content-between
                            h5.mb-1 #{usuario.nombre}
                            small #{usuario.email}
                        p.mb-1
                            | #{usuario.id}

        -}



//- .py-5.section-parallax(style='background-image: url("assets/img/uno.jpg");')

.py-5(style="background-image: url('https://static.pingendo.com/cover-stripes.svg'); background-position:left center; background-size: cover;")
    .container
        
        .d-flex.flex-column.align-items-center
            - if (typeof(errors) !== 'undefined'){
                -for (var i = 0; i < errors.length; i++)
                    div.alert.alert-danger= errors[i].msg
            -}
        .row
            
            .p-5.col-lg-6
                h1 POST
                p.mb-3
                    | Se añadirá un nuevo usuario en la base de datos.
                form(action='/usuario' method='post')
                    .form-group
                        input#form11.form-control(type='text' placeholder='Ingrese usuario' name='nombre')
                    .form-group
                        input#form11.form-control(type='text' placeholder='Ingrese email' name='email')

                    .form-group
                        input#form12.form-control(type='password' placeholder='Password' name='password')

                    button.btn.btn-primary(type='submit') Submit

        .row
           

            .p-5.col-lg-6
                h1 PUT
                p.mb-3
                    | Se actualizará un usuario de la base de datos.
                form(action='/usuarioUpdate' method='post')
                    .form-group
                        //- input#form11.form-control(type='text' placeholder='Ingrese ID' name='id')
                        select#cars(name='id')
                            - if (typeof(usuarios) !== 'undefined'){
                                for usuario in usuarios
                                    option(value= usuario.id) #{usuario.nombre}
                            - }

                    .form-group
                        input#form11.form-control(type='text' placeholder='Ingrese usuario' name='nombre')
                    .form-group
                        input#form11.form-control(type='text' placeholder='Ingrese email' name='email')

                    .form-group
                        input#form12.form-control(type='password' placeholder='Password' name='password')

                    button.btn.btn-primary(type='submit') Submit

        .row
         


            .p-5.col-lg-6
                h1 DELETE
                p.mb-3
                    | Se borrará un usuario de la base de datos según su ID.
                form(action='/usuarioDelete' method='post')
                    .form-group
                        //- input#form11.form-control(type='text' placeholder='Ingrese ID' name='id')
                        select(name='id')
                            -if (typeof(usuarios) !== 'undefined'){
                                for usuario in usuarios
                                    option(value= usuario.id) #{usuario.nombre}
                            - }
                    button.btn.btn-primary(type='submit') Submit



+footer